summaryrefslogtreecommitdiffstats
path: root/.scripts
diff options
context:
space:
mode:
Diffstat (limited to '.scripts')
-rwxr-xr-x.scripts/dmenumount24
-rwxr-xr-x.scripts/dmenuumount14
-rwxr-xr-x.scripts/record8
3 files changed, 46 insertions, 0 deletions
diff --git a/.scripts/dmenumount b/.scripts/dmenumount
new file mode 100755
index 0000000..451bfdf
--- /dev/null
+++ b/.scripts/dmenumount
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Should be run with sudo.
+
+# Gives a dmenu prompt to mount unmounted drives.
+# If they're in /etc/fstab, they'll be mounted automatically.
+# Otherwise, you'll be prompted to give a mountpoint from already existsing directories.
+# If you input a novel directory, it will prompt you to create that directory.
+
+pgrep -x dmenu && exit
+
+mountable=$(lsblk -lp | grep part | grep -v "t /" | awk '{print $1, "(" $4 ")"}')
+[[ "$mountable" = "" ]] && exit 1
+chosen=$(echo "$mountable" | dmenu -i -p "Mount which drive?" | awk '{print $1}')
+[[ "$chosen" = "" ]] && exit 1
+mount "$chosen" && exit 0
+dirs=$(find / -type d | grep -v denied)
+mountpoint=$(echo "$dirs" | dmenu -i -p "Type in mount point.")
+[[ "$mountpoint" = "" ]] && exit 1
+if [[ ! -d "$mountpoint" ]]; then
+ mkdiryn=$(echo -e "No\nYes" | dmenu -i -p "$mountpoint does not exist. Create it?")
+ [[ "$mkdiryn" = Yes ]] && sudo mkdir -p "$mountpoint"
+fi
+sudo mount "$chosen" "$mountpoint"
diff --git a/.scripts/dmenuumount b/.scripts/dmenuumount
new file mode 100755
index 0000000..5a26677
--- /dev/null
+++ b/.scripts/dmenuumount
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# A dmenu prompt to unmount drives.
+# Provides you with mounted partitions, select one to unmount.
+
+# Drives mounted at /, /boot and /home will not be options to unmount.
+# This can be changed by modifying $exclusionregex.
+
+exclusionregex="\(/boot\|/home\|/\)$"
+drives=$(lsblk -lp | grep "t /" | grep -v "$exclusionregex" | awk '{print $1, "(" $4 ")", "on", $7}')
+[[ "$drives" = "" ]] && exit
+chosen=$(echo "$drives" | dmenu -i -p "Unmount which drive?" | awk '{print $1}')
+[[ "$chosen" = "" ]] && exit
+sudo umount $chosen
diff --git a/.scripts/record b/.scripts/record
new file mode 100755
index 0000000..2c941b9
--- /dev/null
+++ b/.scripts/record
@@ -0,0 +1,8 @@
+#!/bin/bash
+# A dmenu recording prompt for my different
+
+case $(echo -e "Screencast\nVideo only\nAudio only" | dmenu -i -p "Select recording style:") in
+ Screencast) (pgrep -x pulse audio && screencast_pulse.sh) || screencast_alsa.sh ;;
+ "Audio only") (pgrep -x pulse audio && audio_pulse.sh) || audio_alsa.sh ;;
+ "Video only") video.sh ;;
+esac